summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Arun Prasannan <polar@arunprasannan.com>2010-05-11 20:01:35 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:35 +0200
commit8706186e4d364a98c4e27afbbac27478ba85f262 (patch)
tree729bccf97e172e50fd6f3cc1d4b156b859dc27ee
parent6ffb4fb9580539f521cbec9cce2cb93d09db1929 (diff)
downloadslackbuilds-8706186e4d364a98c4e27afbbac27478ba85f262.tar.gz
slackbuilds-8706186e4d364a98c4e27afbbac27478ba85f262.tar.xz
network/kdebluetooth: Added to 12.0 repository
-rw-r--r--network/kdebluetooth/README11
-rw-r--r--network/kdebluetooth/doinst.sh5
-rw-r--r--network/kdebluetooth/kdebluetooth.SlackBuild76
-rw-r--r--network/kdebluetooth/kdebluetooth.info8
-rw-r--r--network/kdebluetooth/slack-desc19
5 files changed, 119 insertions, 0 deletions
diff --git a/network/kdebluetooth/README b/network/kdebluetooth/README
new file mode 100644
index 0000000000..3c48db9f74
--- /dev/null
+++ b/network/kdebluetooth/README
@@ -0,0 +1,11 @@
+The KDE Bluetooth Framework is a set of tools built on top of Linux' Bluetooth
+stack BlueZ. It provides easy access to the most common Bluetooth profiles and
+to make data exchange with Bluetooth enabled phones and PDAs as
+straightforward as possible.
+
+Includes:
+ * kbluetooth -- a tray applet to handle incoming inquiries
+ * kbtobexclient -- to send files via bluetooth
+ * kbluemon -- a bluetooth monitor
+ * kinputwizard -- a wizard to configure Input Devices
+ * kbluelock -- a bluetooth screen locker
diff --git a/network/kdebluetooth/doinst.sh b/network/kdebluetooth/doinst.sh
new file mode 100644
index 0000000000..22d4849bce
--- /dev/null
+++ b/network/kdebluetooth/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/network/kdebluetooth/kdebluetooth.SlackBuild b/network/kdebluetooth/kdebluetooth.SlackBuild
new file mode 100644
index 0000000000..d2a77f9a28
--- /dev/null
+++ b/network/kdebluetooth/kdebluetooth.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for kdebluetooth
+
+# Copyright (C) 2007 Arun Prasannan <polar@arunprasannan.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=kdebluetooth
+VERSION=1.0_beta8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/network/kdebluetooth/kdebluetooth.info b/network/kdebluetooth/kdebluetooth.info
new file mode 100644
index 0000000000..58eaf19aa3
--- /dev/null
+++ b/network/kdebluetooth/kdebluetooth.info
@@ -0,0 +1,8 @@
+PRGNAM="kdebluetooth"
+VERSION="1.0_beta8"
+HOMEPAGE="http://bluetooth.kmobiletools.org/"
+DOWNLOAD="http://downloads.sourceforge.net/kde-bluetooth/kdebluetooth-1.0_beta8.tar.bz2"
+MD5SUM="0b6aebf7d236894fc442d74425b13386"
+MAINTAINER="Arun Prasannan"
+EMAIL="polar@arunprasannan.com"
+APPROVED="rworkman"
diff --git a/network/kdebluetooth/slack-desc b/network/kdebluetooth/slack-desc
new file mode 100644
index 0000000000..ae8877c0a0
--- /dev/null
+++ b/network/kdebluetooth/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kdebluetooth: kdebluetooth (KDE Bluetooth Framework)
+kdebluetooth:
+kdebluetooth: The KDE Bluetooth Framework is a set of tools built on top
+kdebluetooth: of Linux' Bluetooth stack BlueZ. It provides easy access to
+kdebluetooth: the most common Bluetooth profiles and to make data exchange
+kdebluetooth: with Bluetooth enabled phones and PDAs as straightforward as
+kdebluetooth: possible.
+kdebluetooth:
+kdebluetooth: Homepage: http://bluetooth.kmobiletools.org/
+kdebluetooth:
+kdebluetooth: